Subject: Re: bug#4019: command to move point to #else (or #elif) in c-mode

From: Stefan Kangas <[email-masked]>
Date: Sat, 9 Jul 2022 19:53:34 -0700

Hi Alan,

Dan Nicolaescu <[email-masked]> writes:

> When looking at code with a lot of preprocessor conditionals, a lot of
> times it is very useful when the point is at an #if to move it the
> corresponding #else (or #elif) to check what is happening on the other
> branch of the #if.  C-c C-p and C-c C-n are not very useful when you
> have to deal with a lot of nested and not nested #if #else.

This wishlist request was reported in 2009, but never got a reply.

It seems to me that such a command would be useful but is still missing.